package cn.com.qmth.stmms.common.enums;

public enum Auth {

    ROLE_VIEW("角色查看"), ROLE_EDIT("修改角色"), SCHOOL_VIEW_ALL("所有学校查看"), SCHOOL_VIEW_SELF("所属学校查看"), SCHOOL_CREATE(
            "创建学校"), SCHOOL_EDIT_ALL("修改所有学校"), SCHOOL_EDIT_SELF("修改所属学校"), SCHOOL_DELETE("删除学校"), SCHOOL_ADMIN_CREATE(
            "创建系统管理员"), SCHOOL_ADMIN_EDIT("修改系统管理员"), SCHOOL_ADMIN_DELETE("删除系统管理员"), SCHOOL_USER_VIEW(
            "查看学校子用户"), SCHOOL_USER_CREATE("创学校子用户"), SCHOOL_USER_EDIT("修改学校子用户"), SCHOOL_USER_DELETE(
            "删除学校子用户"), CAMPUS_VIEW_ALL("所有学习中心查看"), CAMPUS_VIEW_SELF("所属学习中心查看"), CAMPUS_CREATE("创建学习中心"), CAMPUS_EDIT_ALL(
            "修改所有学习中心"), CAMPUS_EDIT_SELF("修改所属学习中心"), CAMPUS_DELETE("删除学习中心"), CAMPUS_ADMIN_CREATE("创建学习中心管理员"), CAMPUS_ADMIN_EDIT(
            "修改学习中心管理员"), CAMPUS_ADMIN_DELETE("删除学习中心管理员"), CAMPUS_USER_VIEW("查看学习中心子用户"), CAMPUS_USER_CREATE("创建学习中心子用户"), CAMPUS_USER_EDIT(
            "修改学习中心子用户"), CAMPUS_USER_DELETE("删除学习中心子用户"), STUDENT_VIEW("查看学生"), STUDENT_ADD("添加学生"), STUDENT_EDIT("修改学生"), STUDENT_DELETE(
            "删除学生"), EXAM_CREATE("创建考试"), EXAM_VIEW_SELF("查看自己创建的考试"), EXAM_VIEW_CAMPUS("查看本学习中心参与的考试"), EXAM_VIEW_ALL(
            "查看所有考试"), EXAM_PARAM_EDIT("考试参数编辑");

    private String display;

    private Auth(String display) {
        this.display = display;
    }

    public String getDisplay() {
        return display;
    }

    public String getName() {
        return toString().toLowerCase();
    }

    public static Auth findByName(String name) {
        Auth auth = null;
        for (Auth item : Auth.values()) {
            if (item.getName().equals(name)) {
                auth = item;
                break;
            }
        }
        return auth;
    }
}
